# Uses of Class
javax.swing.text.StyledEditorKit

Packages that use StyledEditorKit
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.
javax.swing.text.html
Provides the class `HTMLEditorKit` and supporting classes for creating HTML text editors.
javax.swing.text.rtf
Provides a class (`RTFEditorKit`) for creating Rich-Text-Format text editors.

- ## Uses of StyledEditorKit in javax.swing

  Methods in javax.swing that return StyledEditorKit
  Modifier and Type
  Method
  Description
  `protected final StyledEditorKit`
  JTextPane.`getStyledEditorKit()`
  Gets the editor kit.

- ## Uses of StyledEditorKit in javax.swing.text

  Methods in javax.swing.text that return StyledEditorKit
  Modifier and Type
  Method
  Description
  `protected final StyledEditorKit`
  StyledEditorKit.StyledTextAction.`getStyledEditorKit(JEditorPane e)`
  Gets the editor kit associated with an editor pane.

- ## Uses of StyledEditorKit in javax.swing.text.html

  Subclasses of StyledEditorKit in javax.swing.text.html
  Modifier and Type
  Class
  Description
  `class`
  `HTMLEditorKit`
  The Swing JEditorPane text component supports different kinds of content via a plug-in mechanism called an EditorKit.

- ## Uses of StyledEditorKit in javax.swing.text.rtf

  Subclasses of StyledEditorKit in javax.swing.text.rtf
  Modifier and Type
  Class
  Description
  `class`
  `RTFEditorKit`
  This is the default implementation of RTF editing functionality.